Skip to main content
GET
/
invoices
/
{id}
cURL
curl --request GET \
  --url http://dolfin-service-973993966394.europe-west2.run.app/invoices/{id}
{
  "currency": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "documentNumber": "<string>",
  "issueDate": "2023-11-07T05:31:56Z",
  "dueDate": "2023-11-07T05:31:56Z",
  "status": "Draft",
  "subTotal": 123,
  "taxAmount": 123,
  "totalAmount": 123,
  "memo": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "lineItems": [
    {
      "description": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "quantity": 123,
      "unitPrice": 123,
      "taxAmount": 123,
      "subTotal": 123
    }
  ]
}

Path Parameters

id
string<uuid>
required

Response

OK

currency
string
required
id
string<uuid>
organisationId
string<uuid>
customerId
string<uuid>
documentNumber
null | string
issueDate
string<date-time>
dueDate
null | string<date-time>
status
enum<string>
Available options:
Draft,
Open,
Paid,
Void,
PartiallyPaid
subTotal
taxAmount
totalAmount
memo
null | string
createdAt
string<date-time>
updatedAt
string<date-time>
lineItems
object[]